Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.converter
Class HtmlDocumentFacade

    java.lang.Object
      org.apache.poi.hwpf.converter.HtmlDocumentFacade

    public class HtmlDocumentFacade

extends java.lang.Object

Constructor Summary
`HtmlDocumentFacade(org.w3c.dom.Document document)`

Method Summary
`void` | `addAuthor(java.lang.String value)`
`void` | `addDescription(java.lang.String value)`
`void` | `addKeywords(java.lang.String value)`
`void` | `addMeta(java.lang.String name, java.lang.String value)`
`void` | `addStyleClass(org.w3c.dom.Element element, java.lang.String classNamePrefix, java.lang.String style)`
`org.w3c.dom.Element` | `createBlock()`
`org.w3c.dom.Element` | `createBookmark(java.lang.String name)`
`org.w3c.dom.Element` | `createHeader1()`
`org.w3c.dom.Element` | `createHeader2()`
`org.w3c.dom.Element` | `createHyperlink(java.lang.String internalDestination)`
`org.w3c.dom.Element` | `createImage(java.lang.String src)`
`org.w3c.dom.Element` | `createLineBreak()`
`org.w3c.dom.Element` | `createListItem()`
`org.w3c.dom.Element` | `createParagraph()`
`org.w3c.dom.Element` | `createTable()`
`org.w3c.dom.Element` | `createTableBody()`
`org.w3c.dom.Element` | `createTableCell()`
`org.w3c.dom.Element` | `createTableColumn()`
`org.w3c.dom.Element` | `createTableColumnGroup()`
`org.w3c.dom.Element` | `createTableHeader()`
`org.w3c.dom.Element` | `createTableHeaderCell()`
`org.w3c.dom.Element` | `createTableRow()`
`org.w3c.dom.Text` | `createText(java.lang.String data)`
`org.w3c.dom.Element` | `createUnorderedList()`
`org.w3c.dom.Element` | `getBody()`
`org.w3c.dom.Document` | `getDocument()`
`org.w3c.dom.Element` | `getHead()`
`java.lang.String` | `getOrCreateCssClass(java.lang.String classNamePrefix, java.lang.String style)`
`java.lang.String` | `getTitle()`
`void` | `setTitle(java.lang.String titleText)`
`void` | `updateStylesheet()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlDocumentFacade

    public HtmlDocumentFacade(org.w3c.dom.Document document)

Method Detail

### addAuthor

    public void addAuthor(java.lang.String value)

### addDescription

    public void addDescription(java.lang.String value)

### addKeywords

    public void addKeywords(java.lang.String value)

### addMeta

    public void addMeta(java.lang.String name,
                        java.lang.String value)

### addStyleClass

    public void addStyleClass(org.w3c.dom.Element element,
                              java.lang.String classNamePrefix,
                              java.lang.String style)

### createBlock

    public org.w3c.dom.Element createBlock()

### createBookmark

    public org.w3c.dom.Element createBookmark(java.lang.String name)

### createHeader1

    public org.w3c.dom.Element createHeader1()

### createHeader2

    public org.w3c.dom.Element createHeader2()

### createHyperlink

    public org.w3c.dom.Element createHyperlink(java.lang.String internalDestination)

### createImage

    public org.w3c.dom.Element createImage(java.lang.String src)

### createLineBreak

    public org.w3c.dom.Element createLineBreak()

### createListItem

    public org.w3c.dom.Element createListItem()

### createParagraph

    public org.w3c.dom.Element createParagraph()

### createTable

    public org.w3c.dom.Element createTable()

### createTableBody

    public org.w3c.dom.Element createTableBody()

### createTableCell

    public org.w3c.dom.Element createTableCell()

### createTableColumn

    public org.w3c.dom.Element createTableColumn()

### createTableColumnGroup

    public org.w3c.dom.Element createTableColumnGroup()

### createTableHeader

    public org.w3c.dom.Element createTableHeader()

### createTableHeaderCell

    public org.w3c.dom.Element createTableHeaderCell()

### createTableRow

    public org.w3c.dom.Element createTableRow()

### createText

    public org.w3c.dom.Text createText(java.lang.String data)

### createUnorderedList

    public org.w3c.dom.Element createUnorderedList()

### getBody

    public org.w3c.dom.Element getBody()

### getDocument

    public org.w3c.dom.Document getDocument()

### getHead

    public org.w3c.dom.Element getHead()

### getOrCreateCssClass

    public java.lang.String getOrCreateCssClass(java.lang.String classNamePrefix,
                                                java.lang.String style)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String titleText)

### updateStylesheet

    public void updateStylesheet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD